<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>We Only Find Them When There Dead</Series>
  <Number>6</Number>
  <Web>https://www.comixology.com/We-Only-Find-Them-When-There-Dead-6/digital-comic/941075</Web>
  <Summary>Fifty years have passed since Captain Malik and the crew of the Vihaan II embarked on their fateful mission-and the universe has changed in ways no one ever expected.
Jason Hauer, one of the fated Vihaan II crew, is now 71 years old and living a life on the razor's edge between  the Harvesters and the Worshippers. But as these rival religious factions clash throughout the galaxy, Jason finds himself thrown into the center of the chaos and forced to confront his tortured past. But the only people who can help Jason have their own secret agenda-one that may bring him face to face with Captain Malik in ways beyond comprehension...</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB941075], [ASINB093KCQP3C]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Action/Adventure, Science Fiction</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
